Page MenuHomePhabricator

NS_CATEGORY (TALK) misspelt for 'ext'
Closed, ResolvedPublic

Description

MessagesExt.php
NS_CATEGORY         => 'Categoria',
NS_CATEGORY_TALK    => 'Categoria_caraba',

should be:

MessagesExt.php
NS_CATEGORY         => 'Categoría',
NS_CATEGORY_TALK    => 'Categoría_caraba',

I've renamed them at https://gerrit.wikimedia.org/r/#/c/336986 but doing so will break, if I understand it rightly, all Categoria: pages. So I've submitted https://gerrit.wikimedia.org/r/#/c/337192/ adding the wrongly named ones as temporary namespace aliases so nothing breaks in the meanwhile. A bot can be tasked with renaming those pages later.

Did not added those at MediaWiki core because I don't think we should encourage using wrongly named/translated words. Also, 'ext' is a barely used language and the potential damange is close to 0.

If somebody has a better idea about how to handle this please do comment. Thanks!

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 10 2017, 11:35 PM

Change 337192 had a related patch set uploaded (by MarcoAurelio):
Adding "Categoria:" as namespace alias for ext.wikipedia

https://gerrit.wikimedia.org/r/337192

Change 336986 had a related patch set uploaded (by MarcoAurelio):
Fix NS_CATEGORY/NS_CATEGORY_TALK for MessagesExt.php in core

https://gerrit.wikimedia.org/r/336986

Maybe there's an easier solution. Apparently namespaceDupes.php could be used to migrate those to the proper namespace once the MediaWiki core change is merged and live.

https://quarry.wmflabs.org/query/16324 gives +600 category pages and associated talk pages to rename. Will be better handled with that maintenance script if at all possible.

Proposed steps:

  • Merge MediaWiki core patch
  • Cherry-pick the above to current wmf branches
  • Run namespaceDupes to rename the wrongly named pages from Categoria: to Categoría:

If anyone has a better idea, feel free to share.

Change 337192 abandoned by MarcoAurelio:
Adding "Categoria:" as namespace alias for ext.wikipedia

Reason:
Per Raimond.

https://gerrit.wikimedia.org/r/337192

Change 336986 merged by jenkins-bot:
Fix NS_CATEGORY/NS_CATEGORY_TALK for MessagesExt.php in core

https://gerrit.wikimedia.org/r/336986

Core change merged. Shall we cherry-pick to wmf.11 & 12 and run the script to migrate the pages or shall we wait until wmf.13 hits extwiki?

Not worth for RELEASE-NOTES IMHO.

MarcoAurelio triaged this task as Low priority.Feb 19 2017, 7:06 PM
MarcoAurelio closed this task as Resolved.Mar 1 2017, 4:38 PM
MarcoAurelio moved this task from Working on to Done on the Wikimedia-Site-requests board.

This one is done. The subtask will shortly be as well.